clc; clear; close all;

Globals2D;

tic;
Problem;

N = 6;

StartUp2D;

NonreflectingBCStartup;

%[mapI, vmapI, mapO, vmapO] = BuildBCMaps();
[mapI, vmapI, mapO, vmapO] = BuildBCMaps_PML();

NumericalFluxStartup;

rho_IC_values = rho_IC(x,y);
u_IC_values = u_IC(x,y);
v_IC_values = v_IC(x,y);
p_IC_values = p_IC(x,y);
preproccesing_time = toc;

tic;
%[rho,u,v,p] = Timestepping(rho_IC_values,u_IC_values,v_IC_values,p_IC_values,T);
[rho,u,v,p] = Timestepping_PML(rho_IC_values,u_IC_values,v_IC_values,p_IC_values,T); % dodelat
computation_time = toc;